#include "AccountInfo.h"

// Author: Steve Talbot

AccountInfo:: AccountInfo( int p_, int y_, int a_ ){

	_pn = p_;
	_id = y_;
	_b = a_;
	_isActive = true;
	_isOverdrawn = false;

}

AccountInfo:: ~AccountInfo(){
}

/*
 * GETTERS ..
 */

int AccountInfo:: getPN() {

	return _pn;

}

int AccountInfo:: getID() {

	return _id;

}

int AccountInfo:: getB(){

	return _b;

}

bool AccountInfo:: getIsActive(){

	return _isActive;

}

bool AccountInfo:: getIsOverdrawn(){

	return _isOverdrawn;

}

/*
 * SETTERS ..
 */

void AccountInfo:: setPN( int pn_ ){

	_pn = pn_;

}

void AccountInfo:: setID( int id_ ){

	_id = id_;

}

void AccountInfo:: setB( int b_ ){

	_b = b_;

}

void AccountInfo:: setIsActive( bool isActive_ ){

	_isActive = isActive_;

}

void AccountInfo:: setIsOverdrawn( bool isOverdrawn_ ){

	_isOverdrawn = isOverdrawn_;

}
